﻿@{
    Layout = null;
}

<div ng-if="element.Type == 'JbTextBox'">

    <div ng-class="{'JbElement-preview': true,'element_width-third':element.Width=='Third','element_width-half':element.Width=='Half','element_width-full':element.Width=='Full'}" >
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
        <div class="input-control text" data-role="input-control">
            <input disabled ng-bind="element.Value" type="text">
        </div>
    </div>
    <div class="JbElement-edit JbElement-edit_dir-right" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>

<div ng-if="element.Type == 'JbDatePicker'">
    <div ng-class="{'JbElement-preview': true,'element_width-third':element.Width=='Third','element_width-half':element.Width=='Half','element_width-full':element.Width=='Full'}" >
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
        <div class="input-control text" data-role="input-control">
            <input disabled ng-bind="element.Value" ui-mask="99/99/9999" type="text">
        </div>
    </div>
    <div class="JbElement-edit JbElement-edit_dir-right" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>

<div ng-if="element.Type == 'JbTextArea'">
    <div ng-class="{'JbElement-preview': true,'element_width-third':element.Width=='Third','element_width-half':element.Width=='Half','element_width-full':element.Width=='Full'}" >
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
        <div class="input-control textarea" data-role="input-control">
            <textarea disabled ng-bind="element.Value"></textarea>
        </div>
    </div>
    <div class="JbElement-edit JbElement-edit_dir-right" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>

    <div class="clearfix"></div>
</div>

<div ng-if="element.Type == 'JbParagraph'">
    <div ng-class="{'JbElement-preview': true,'element_width-third':element.Width=='Third','element_width-half':element.Width=='Half','element_width-full':element.Width=='Full'}" >
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
        <p>{{element.Value}}</p>
    </div>
    <div class="JbElement-edit JbElement-edit_dir-right" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>


<div ng-if="element.Type == 'JbTextEditor'">
    <div ng-class="{'JbElement-preview': true,'element_width-third':element.Width=='Third','element_width-half':element.Width=='Half','element_width-full':element.Width=='Full'}" >
        <div ng-bind-html="element.Value | unsafe"></div>
    </div>
    <div class="JbElement-edit JbElement-edit_dir-right" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>

<div ng-if="element.Type == 'JbNumber'">
    <div ng-class="{'JbElement-preview': true,'element_width-third':element.Width=='Third','element_width-half':element.Width=='Half','element_width-full':element.Width=='Full'}" >
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
        <div class="input-control text" data-role="input-control">
            <input disabled ng-bind="element.Value" type="text">
        </div>
    </div>
    <div class="JbElement-edit JbElement-edit_dir-right" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>

<div ng-if="element.Type == 'JbEmail'">
    <div ng-class="{'JbElement-preview': true,'element_width-third':element.Width=='Third','element_width-half':element.Width=='Half','element_width-full':element.Width=='Full'}" >
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
        <div class="input-control text" data-role="input-control">
            <input disabled ng-bind="element.Value" type="text">
        </div>
    </div>
    <div class="JbElement-edit JbElement-edit_dir-right" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>

<div ng-if="element.Type == 'JbCheckBox'">
    <div class="place-left two-third JbElement-preview">
        <div class="input-control checkbox no-margin">
            <label class="title" ng-class="{'req-star' : element.IsRequired}">
                <input name="Value" disabled ng-bind="element.Value" type="checkbox" />
                <span class="check"></span>
                {{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span>
            </label>
        </div>
    </div>
    <div class="place-left one-third JbElement-edit" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>

<div ng-if="element.Type == 'JbAddress'">
    <div class="place-left two-third JbElement-preview">
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
        <label ng-class="{'req-star' : element.IsRequired}">Line 1</label>
        <div class="input-control text" data-role="input-control">
            <input disabled ng-bind="element.Line1" type="text">
        </div>
        <label>Line 2</label>
        <div class="input-control text" data-role="input-control">
            <input disabled ng-bind="element.Line2" type="text">
        </div>
        <div class="place-left one-half padding-right10">
            <label ng-class="{'req-star' : element.IsRequired}">Country</label>
            <div class="input-control text" data-role="input-control">
                <input disabled ng-bind="element.Country" type="text">
            </div>
        </div>
        <div class="place-left one-half padding-left10">
            <label ng-class="{'req-star' : element.IsRequired}">City</label>
            <div class="input-control text" data-role="input-control">
                <input disabled ng-bind="element.City" type="text">
            </div>
        </div>
        <div class="place-left one-half padding-right10">
            <label ng-if="element.AddressType == 'Canada'" ng-class="{'req-star' : element.IsRequired}">Province</label>
            <label ng-if="element.AddressType != 'Canada'" ng-class="{'req-star' : element.IsRequired}">State<span ng-if="element.AddressType == 'INTERNATIONAL'">/Province</span></label>
            <div class="input-control text" data-role="input-control">
                <input disabled ng-bind="element.State" type="text">
            </div>
        </div>
        <div class="place-left one-half padding-left10">
            <label ng-if="element.AddressType == 'Canada'" ng-class="{'req-star' : element.IsRequired}">Postal code</label>
            <label ng-if="element.AddressType != 'Canada'" ng-class="{'req-star' : element.IsRequired}">ZIP<span ng-if="element.AddressType == 'INTERNATIONAL'">/Postal code</span></label>
            <div class="input-control text" data-role="input-control">
                <input disabled ng-bind="element.ZIP" type="text">
            </div>
        </div>
        
      
      
    </div>
    <div class="place-left one-third JbElement-edit" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>

<div ng-if="element.Type == 'JbPhone'">
    <div ng-class="{'JbElement-preview': true,'element_width-third':element.Width=='Third','element_width-half':element.Width=='Half','element_width-full':element.Width=='Full'}" >
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
        <div class="input-control text" data-role="input-control">
            <input disabled ng-bind="element.Value" type="text">
        </div>
    </div>
    <div class="JbElement-edit JbElement-edit_dir-right" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>

<div ng-if="element.Type == 'JbDropDown'">
    <div ng-class="{'JbElement-preview': true,'element_width-third':element.Width=='Third','element_width-half':element.Width=='Half','element_width-full':element.Width=='Full'}" >
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
        <div class="input-control select" data-role="input-control">
            <select disabled>
                <option ng-repeat="itam in element.Items">{{itam.Text}}</option>
            </select>
        </div>
    </div>
    <div class="JbElement-edit JbElement-edit_dir-right" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>

<div ng-if="element.Type == 'JbRadioList'">
    <div class="place-left two-third JbElement-preview">
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label> 
        <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span>
        <div class="place-left two-third JbElement-preview">
            <div class="input-control radio no-margin" ng-repeat="item in element.Items">
                <label class="title">
                    <input name="Value" disabled ng-bind="item.Value" type="radio" />
                    <span class="check"></span>
                    {{item.Text}}
                </label>
            </div>
        </div>
    </div>
    <div class="place-left one-third JbElement-edit" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>

<div ng-if="element.Type == 'JbSignature'">
    <div ng-class="{'JbElement-preview': true,'element_width-third':element.Width=='Third','element_width-half':element.Width=='Half','element_width-full':element.Width=='Full'}" >
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
        <div class="input-control signature bg-white" data-role="input-control">
            <div class="padding-top20 padding-bottom10">
                <div class="bd-gray padding-top20 border-bottom"></div>
                <div class="padding-top10"></div>
            </div>
        </div>

    </div>
    <div class="JbElement-edit JbElement-edit_dir-right" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>

<div ng-if="element.IsCustomElement">
    <div class="place-left two-third JbElement-preview">
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover 
            class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" 
            data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
        <div class="input-control text" data-role="input-control">
            <input disabled value="No preview" type="text">
        </div>
    </div>
    <div class="place-left one-third JbElement-edit" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>

@*<div ng-if="element.Type == 'JbSchoolGrade'">
    <div class="place-left two-third JbElement-preview">
        <label class="title" ng-class="{'req-star' : element.IsRequired}">{{element.Title}} <span ng-if="element.HelpText != null && element.HelpText != ''" href="" jb-popover class="popover-link" role="button" data-toggle="popover" data-trigger="focus" data-container="body" rel="popover" data-placement="top" data-content="{{element.HelpText}}" data-original-title="" title=""></span></label>
        <div class="input-control select" data-role="input-control">
            <select disabled ng-bind="element.Value" ng-options="drade.Title as grade.Value for grade in JbSchoolGrade.Operate.VisibleGrades(element.Grades)"></select>
        </div>
    </div>
    <div class="place-left one-third JbElement-edit" ng-if="JbForm.EditMode" ng-include src="'/Dashboard/_FormElementsPreviewModeSharedView'"></div>
    <div class="clearfix"></div>
</div>*@